Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deVertexBuffer Class Reference

`#include <deVBuffer_priv.hpp>`

Inheritance diagram for deVertexBuffer:

[legend]
Collaboration diagram for deVertexBuffer:

[legend]
List of all members.

## Public Member Functions
| deVertexBuffer ()
| deVertexBuffer (const IdeVertexBuffer &S)
const IdeVertexBuffer & | operator= (const IdeVertexBuffer &S)
void * | GetBuffer (BufferType Type) const
long | GetVertexCount () const
long | GetVertexStart () const
long | GetIndexCount () const
long | GetIndexStart () const
long | GetTriCount () const
deBoolean | CalcTriCount ()
deBoolean | GetDynamicStatusVertex () const
deBoolean | GetDynamicStatusIndex () const
void | SetDynamicStatus (deBoolean Vertex, deBoolean Index)
RenderType | GetRenderType () const
deBoolean | SetRenderType (RenderType Type)
deBoolean | SetBufferSize (long EntryCount, deBoolean IndicesNotVertices=deFALSE)
deBoolean | CreateBuffer (BufferType Type, deBoolean Clear)
deBoolean | DestroyBuffer (BufferType Type)
deBoolean | FillBuffer (BufferType Type, const void *Buffer, long StartEntry, long EntryCount)
void | DirtyBuffer (BufferType Type)
void | DirtyBuffer (BufferType Type, deSubVertexBuffer *SubVBCaller)
deBoolean | BufferExists (BufferType Type) const
deBoolean | BindDataBuffer (IdeVertexBuffer *DataBuffer)
IdeVertexBuffer * | GetBoundDataBuffer () const
BufferDataType | GetBufferDataType (BufferType Type, long *Size) const
deBoolean | Lock ()
deBoolean | Unlock ()
deBoolean | SetDriverBuffer (long ID, void *Buffer, IdeDriver *Driver)
void * | GetDriverBuffer (long ID, long *BufferUpdateList) const
deBoolean | AddVertexShader (void *ShaderData, long ShaderSize)
void * | GetVertexShader (long *ShaderSize) const
deBoolean | DestroyVertexShader ()
VBufferType | GetVBufferType () const
IdeVertexBuffer * | GetParentBuffer () const
deBoolean | AddSubVBuffer (deSubVertexBuffer *SubVB)
deBoolean | RemoveSubVBuffer (deSubVertexBuffer *SubVB)
deBoolean | AllocateVertexSpace (deSubVertexBuffer *SubVB, long Length, long &StartVertex, deBoolean resize=deFALSE)
deBoolean | AllocateIndexSpace (deSubVertexBuffer *SubVB, long Length, long &StartIndex, deBoolean resize=deFALSE)
## Protected Member Functions
| ~deVertexBuffer ()
## Private Member Functions
void | CopyInternalData (const deVertexBuffer &SourceVertexBuffer)
## Private Attributes
long | m_Locked
IdeVertexBuffer * | m_DataBuffer
void * | m_Buffer [BUFFER_COUNT]
deBoolean | m_WantsBuffer [BUFFER_COUNT]
long | m_VertexCount
long | m_IndexCount
long | m_TriCount
RenderType | m_RenderType
deBoolean | m_DynamicVertex
deBoolean | m_DynamicIndex
deTList< DriverBufferEntry > | m_DriverBuffer
long | m_UnusedVertices
long | m_UnusedIndices
deBoolean | m_HasChildren
deTList< deSubVertexBuffer * > | m_ChildBuffers
deTList< deSubVertexBuffer * > | m_IndexUsers
deTList< deSubVertexBuffer * > | m_VertexUsers

## Constructor & Destructor Documentation

deVertexBuffer::~deVertexBuffer | ( |  | ) | `[protected]`

deVertexBuffer::deVertexBuffer | ( |  | ) |

deVertexBuffer::deVertexBuffer | ( | const IdeVertexBuffer & | S | ) |

## Member Function Documentation

deBoolean deVertexBuffer::AddSubVBuffer | ( | deSubVertexBuffer * | SubVB | ) |

deBoolean deVertexBuffer::AddVertexShader | ( | void * | ShaderData,
|  | long | ShaderSize
| ) |

deBoolean deVertexBuffer::AllocateIndexSpace | ( | deSubVertexBuffer * | SubVB,
|  | long | Length,
|  | long & | StartIndex,
|  | deBoolean | resize = deFALSE
| ) |

deBoolean deVertexBuffer::AllocateVertexSpace | ( | deSubVertexBuffer * | SubVB,
|  | long | Length,
|  | long & | StartVertex,
|  | deBoolean | resize = deFALSE
| ) |

deBoolean deVertexBuffer::BindDataBuffer | ( | IdeVertexBuffer * | DataBuffer | ) | `[virtual]`

| Implements IdeVertexBuffer.

deBoolean deVertexBuffer::BufferExists | ( | BufferType | Type | ) | const`[virtual]`

| Implements IdeVertexBuffer.

deBoolean deVertexBuffer::CalcTriCount | ( |  | ) | `[virtual]`

| Implements IdeVertexBuffer.

void deVertexBuffer::CopyInternalData | ( | const deVertexBuffer & | SourceVertexBuffer | ) | `[private]`

deBoolean deVertexBuffer::CreateBuffer | ( | BufferType | Type,
|  | deBoolean | Clear
| ) | `[virtual]`

| Implements IdeVertexBuffer.

deBoolean deVertexBuffer::DestroyBuffer | ( | BufferType | Type | ) | `[virtual]`

| Implements IdeVertexBuffer.

deBoolean deVertexBuffer::DestroyVertexShader | ( |  | ) |

void deVertexBuffer::DirtyBuffer | ( | BufferType | Type,
|  | deSubVertexBuffer * | SubVBCaller
| ) |

void deVertexBuffer::DirtyBuffer | ( | BufferType | Type | ) | `[virtual]`

| Implements IdeVertexBuffer.

deBoolean deVertexBuffer::FillBuffer | ( | BufferType | Type,
|  | const void * | Buffer,
|  | long | StartEntry,
|  | long | EntryCount
| ) | `[virtual]`

| Implements IdeVertexBuffer.

IdeVertexBuffer * deVertexBuffer::GetBoundDataBuffer | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

void * deVertexBuffer::GetBuffer | ( | BufferType | Type | ) | const`[virtual]`

| Implements IdeVertexBuffer.

deVertexBuffer::BufferDataType deVertexBuffer::GetBufferDataType | ( | BufferType | Type,
|  | long * | Size
| ) | const`[virtual]`

| Implements IdeVertexBuffer.

void * deVertexBuffer::GetDriverBuffer | ( | long | ID,
|  | long * | BufferUpdateList
| ) | const`[virtual]`

| Implements IdeVertexBuffer.

deBoolean deVertexBuffer::GetDynamicStatusIndex | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

deBoolean deVertexBuffer::GetDynamicStatusVertex | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

long deVertexBuffer::GetIndexCount | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

long deVertexBuffer::GetIndexStart | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

IdeVertexBuffer * deVertexBuffer::GetParentBuffer | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

deVertexBuffer::RenderType deVertexBuffer::GetRenderType | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

long deVertexBuffer::GetTriCount | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

IdeVertexBuffer::VBufferType deVertexBuffer::GetVBufferType | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

long deVertexBuffer::GetVertexCount | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

void* deVertexBuffer::GetVertexShader | ( | long * | ShaderSize | ) | const

long deVertexBuffer::GetVertexStart | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

deBoolean deVertexBuffer::Lock | ( |  | ) | `[virtual]`

| Implements IdeVertexBuffer.

const IdeVertexBuffer & deVertexBuffer::operator= | ( | const IdeVertexBuffer & | S | ) | `[virtual]`

| Implements IdeVertexBuffer.

deBoolean deVertexBuffer::RemoveSubVBuffer | ( | deSubVertexBuffer * | SubVB | ) |

deBoolean deVertexBuffer::SetBufferSize | ( | long | EntryCount,
|  | deBoolean | IndicesNotVertices = deFALSE
| ) | `[virtual]`

| Implements IdeVertexBuffer.

deBoolean deVertexBuffer::SetDriverBuffer | ( | long | ID,
|  | void * | Buffer,
|  | IdeDriver * | Driver
| ) | `[virtual]`

| Implements IdeVertexBuffer.

void deVertexBuffer::SetDynamicStatus | ( | deBoolean | Vertex,
|  | deBoolean | Index
| ) | `[virtual]`

| Implements IdeVertexBuffer.

deBoolean deVertexBuffer::SetRenderType | ( | RenderType | Type | ) | `[virtual]`

| Implements IdeVertexBuffer.

deBoolean deVertexBuffer::Unlock | ( |  | ) | `[virtual]`

| Implements IdeVertexBuffer.

## Member Data Documentation

void* deVertexBuffer::m_Buffer[BUFFER_COUNT]`[private]`

deTList<deSubVertexBuffer*> deVertexBuffer::m_ChildBuffers`[private]`

IdeVertexBuffer* deVertexBuffer::m_DataBuffer`[private]`

deTList<DriverBufferEntry> deVertexBuffer::m_DriverBuffer`[private]`

deBoolean deVertexBuffer::m_DynamicIndex`[private]`

deBoolean deVertexBuffer::m_DynamicVertex`[private]`

deBoolean deVertexBuffer::m_HasChildren`[private]`

long deVertexBuffer::m_IndexCount`[private]`

deTList<deSubVertexBuffer*> deVertexBuffer::m_IndexUsers`[private]`

long deVertexBuffer::m_Locked`[private]`

RenderType deVertexBuffer::m_RenderType`[private]`

long deVertexBuffer::m_TriCount`[private]`

long deVertexBuffer::m_UnusedIndices`[private]`

long deVertexBuffer::m_UnusedVertices`[private]`

long deVertexBuffer::m_VertexCount`[private]`

deTList<deSubVertexBuffer*> deVertexBuffer::m_VertexUsers`[private]`

deBoolean deVertexBuffer::m_WantsBuffer[BUFFER_COUNT]`[private]`

The documentation for this class was generated from the following files:

- deVBuffer_priv.hpp
- VertexBuffer.cpp